Bug 2185499 - CVE-2023-1801 tcpdump: OOB write in SMB decoder [fedora-all]
Summary: CVE-2023-1801 tcpdump: OOB write in SMB decoder [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tcpdump
Version: 37
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Michal Ruprich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2023-1801
TreeView+ depends on / blocked
 
Reported: 2023-04-10 03:37 UTC by Avinash Hanwate
Modified: 2023-04-28 02:22 UTC (History)
3 users (show)

Fixed In Version: tcpdump-4.99.4-1.fc39 tcpdump-4.99.4-2.fc37 tcpdump-4.99.4-1.fc38 tcpdump-4.99.4-1.fc36
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-04-12 11:47:53 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Avinash Hanwate 2023-04-10 03:37:21 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2185498

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Avinash Hanwate 2023-04-10 03:37:24 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2185498,2185499

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2023-04-12 11:40:26 UTC
FEDORA-2023-de10e674ae has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2023-de10e674ae

Comment 3 Fedora Update System 2023-04-12 11:41:03 UTC
FEDORA-2023-a66bd67e34 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-a66bd67e34

Comment 4 Fedora Update System 2023-04-12 11:41:34 UTC
FEDORA-2023-33906c7c4a has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-33906c7c4a

Comment 5 Fedora Update System 2023-04-12 11:42:18 UTC
FEDORA-2023-79335e1c60 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-79335e1c60

Comment 6 Fedora Update System 2023-04-12 11:47:53 UTC
FEDORA-2023-79335e1c60 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2023-04-13 02:28:04 UTC
FEDORA-2023-a66bd67e34 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-a66bd67e34`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-a66bd67e34

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-04-13 02:53:39 UTC
FEDORA-2023-33906c7c4a has been pushed to the Fedora 38 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-33906c7c4a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2023-04-13 02:56:18 UTC
FEDORA-2023-de10e674ae has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-de10e674ae`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-de10e674ae

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2023-04-18 01:30:03 UTC
FEDORA-2023-a66bd67e34 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2023-04-20 04:41:28 UTC
FEDORA-2023-33906c7c4a has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2023-04-28 02:22:33 UTC
FEDORA-2023-de10e674ae has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.